<!DOCTYPE html>
<html lang="en">
  <%- include("../partials/head.ejs")%>
  <body>
    <div class="container-fluid no-padding" style="margin-left: -90px">
      <div class="row no-gutters">
        <div class="col-2"><%- include("../partials/sidebar.ejs")%></div>

        <div class="col-10" style="height: 100vh">
          <!-- navbar and search -->
          <nav class="navbar navbar-expand-lg navbar-light">
            <h2>To Do</h2>
            <ul class="navbar-nav ml-auto">
              <form action="">
                <input
                  class="search-todo p-1 pl-3"
                  type="text"
                  name=""
                  id=""
                  placeholder="search"
                />
              </form>
            </ul>
          </nav>

          <!-- konten -->
          <div class="row">
            <div class="isi col-8">
              <ul class="content align-items-start">
                <!-- isi pertama yang nantinya di foreach -->
                <% if (taskList != null) { %><% taskList.forEach(element => { %>
                <% if (element.userId == id) { %>

                <div class="row mb-4">
                  <div class="col-12">
                    <div
                      class="lingkaran lingkaran-<%= element.warnaList %>"
                    ></div>
                    <li
                      class="isi-content pt-2 <%= element.warnaList %>"
                      onclick="sidebarUpdate_open()"
                    >
                      <span style="font-size: 0px" class="namaWarna">
                        <%= element.warnaList %>
                      </span>

                      <span style="font-size: 0px" class="idList">
                        <%= element.id %>
                      </span>
                      <div class="col-6 judul-content">
                        <%= element.namaList %>
                      </div>
                      <div class="col-5 keterangan-content">
                        <ul class="isi-keterangan">
                          <li class="mb-2">
                            <img src="/assets/img/icon/calendar.svg" alt="" />
                            <span id="tanggal">
                              <%= moment(element.dateList).format('DD/MM/YYYY')
                              %>
                            </span>
                          </li>
                          <li class="mb-2">
                            <img src="assets/img/icon/checkCircle.svg" alt="" />
                            <span id="goal"><%= element.detailList %> </span>
                          </li>
                          <p style="font-size: 0">
                            <%= moment(element.dateList).format('DD/MM/YYYY') %>
                          </p>
                        </ul>
                      </div>
                    </li>
                  </div>
                </div>
                <% }%>
                <h4>Belum ada To do List yang kamu Buat</h4>
                <%}); %> <% }else{ %>
                <h4>Belum ada To do List yang kamu Buat</h4>
                <%}%>
              </ul>
            </div>

            <div>
              <!-- sidebar create -->
              <div id="mySidebar">
                <div class="row">
                  <h4 class="mt-2 mr-2" id="close" onclick="sidebar_close()">
                    <i class="fa fa-times" aria-hidden="true"></i>
                  </h4>
                  <h4 class="mt-2" style="align-items: left" id="judul-tambah">
                    Tambah Tugas Baru
                  </h4>
                </div>
                <div class="row mt-5">
                  <form id="tambah" method="POST" action="/addTodoList">
                    <div class="form-group">
                      <label for="namaTugas">Nama Tugas</label>
                      <input
                        type="text"
                        class="form-control"
                        id="namaTugas"
                        name="namaTugas"
                        placeholder="Daftar synrgy academy"
                        required
                      />
                    </div>
                    <div class="form-group">
                      <label for="waktu">Batas Waktu (opsional)</label>
                      <input
                        type="date"
                        class="form-control"
                        id="waktu"
                        name="waktu"
                        placeholder="Tidak Ada Batas Waktu"
                        required
                      />
                    </div>
                    <div class="form-group">
                      <!-- diisi dengan data goal -->
                      <datalist id="listGoal">
                        <option value="Umum">Umum</option>

                        <% if (goalList != null) { goalList.forEach(element => {
                        %>
                        <option value="<%= element.Goal.namaGoal %> ">
                          <%= element.Goal.namaGoal %>
                        </option>
                        <%} )} %>
                      </datalist>
                      <label for="goal">Pilih goal terkait (opsional)</label>
                      <br />
                      <img
                        class="goal"
                        src="assets/img/icon/checkCircle.svg"
                        alt=""
                      />
                      <input
                        list="listGoal"
                        type="text"
                        class="form-control goal"
                        id="goal"
                        name="goal"
                        placeholder="Tidak Ada Batas Waktu"
                        required
                      />
                    </div>
                    <!-- color type -->
                    <div class="form-group">
                      <label>Pilih Warna</label>
                      <br />
                      <div class="lingkaran-radio blue">blue</div>
                      <div class="lingkaran-radio cream">cream</div>
                      <div class="lingkaran-radio purple">purple</div>
                      <div class="lingkaran-radio pink">pink</div>
                      <input type="text" name="color" id="color" required />
                    </div>
                    <div id="hasil-warna"></div>
                    <br />
                    <button type="submit" class="btn btn-primary" id="simpan">
                      simpan
                    </button>
                  </form>
                </div>
              </div>

              <!-- sidebar update -->
              <div id="mySidebarUpdate">
                <div class="row">
                  <h4
                    class="mt-2 mr-2"
                    id="close"
                    onclick="sidebarUpdate_close()"
                  >
                    <i class="fa fa-times" aria-hidden="true"></i>
                  </h4>
                  <h4 class="mt-2" style="align-items: left" id="judul-tambah">
                    Update Tugas
                  </h4>
                </div>
                <div class="row mt-5">
                  <form id="tambah" method="POST" action="/updateTodoList">
                    <!-- method for put -->
                    <input type="hidden" name="_method" value="PUT" />
                    <input type="hidden" name="idList" id="idList" value="" />
                    <div class="form-group">
                      <label for="namaTugas">Nama Tugas</label>
                      <input
                        type="text"
                        class="form-control"
                        id="namaTugasUpdate"
                        name="namaTugasUpdate"
                        placeholder="Daftar synrgy academy"
                        required
                      />
                    </div>
                    <div class="form-group">
                      <label for="waktu">Batas Waktu (opsional)</label>
                      <input
                        type="date"
                        class="form-control"
                        id="waktuUpdate"
                        name="waktuUpdate"
                        placeholder="Tidak Ada Batas Waktu"
                        required
                        value="13/03/2021"
                      />
                    </div>
                    <div class="form-group">
                      <!-- diisi dengan data goal -->
                      <datalist id="listGoal">
                        <option value="Umum">Umum</option>
                        <% if (goalList != null) { goalList.forEach(element => {
                        %>
                        <option value="<%= element.Goal.namaGoal %> ">
                          <%= element.Goal.namaGoal %>
                        </option>
                        <%} )} %>
                      </datalist>
                      <label for="goal">Pilih goal terkait (opsional)</label>
                      <br />
                      <img
                        class="goal"
                        src="assets/img/icon/checkCircle.svg"
                        alt=""
                      />
                      <input
                        list="listGoal"
                        type="text"
                        class="form-control goal"
                        id="goalUpdate"
                        name="goalUpdate"
                        placeholder="Tidak Ada Batas Waktu"
                        required
                      />
                    </div>
                    <!-- color type -->
                    <div class="form-group">
                      <label>Pilih Warna</label>
                      <br />
                      <div class="lingkaran-radioUpdate blue">blue</div>
                      <div class="lingkaran-radioUpdate cream">cream</div>
                      <div class="lingkaran-radioUpdate purple">purple</div>
                      <div class="lingkaran-radioUpdate pink">pink</div>
                      <input type="text" name="color" id="color" required />
                    </div>
                    <div id="hasil-warnaUpdate"></div>
                    <br />
                    <button type="submit" class="btn btn-primary" id="simpan">
                      simpan
                    </button>
                  </form>
                </div>
              </div>

              <!-- isi -->
              <div class="row mt-4">
                <button
                  type="button"
                  class="btn btn-tambah"
                  onclick="sidebar_open()"
                >
                  <div class="tambah mx-auto text-center mt-4">
                    <span style="color: #aaaaaa">
                      <img class="mr-3" src="assets/img/icon/plus.svg" alt="" />
                      tambah tugas baru
                    </span>
                  </div>
                </button>
              </div>

              <div class="row">
                <div class="tambah mx-auto mt-4">
                  <h6 class="mb-4">Lihat Berdasarkan Goal</h6>
                  <!-- yang akan di loop dengan data. untuk menampilkan rekomendasi -->
                  <% if (goalList != null) { goalList.forEach(element => { %>
                  <div class="recom mb-3 text-center text-white bg-dark">
                    <%= element.Goal.namaGoal %>
                  </div>
                  <% }) } %>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script
      src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns"
      crossorigin="anonymous"
    ></script>

    <script>
      function sidebar_open() {
        document.getElementById("mySidebar").style.display = "block";
      }

      function sidebar_close() {
        document.getElementById("mySidebar").style.display = "none";
      }

      function sidebarUpdate_open() {
        document.getElementById("mySidebarUpdate").style.display = "block";
      }

      function sidebarUpdate_close() {
        document.getElementById("mySidebarUpdate").style.display = "none";
      }
      $(document).ready(function () {
        $("li.isi-content").click(function () {
          var id = $(this).find("span.idList").text().trim();

          var judul = $(this).find("div.judul-content").text().trim();
          // var tanggal = $(this).find("span#tanggal").text().trim();
          var goal = $(this).find("span#goal").text().trim();
          var warna = $(this).find("span.namaWarna").text().trim();
          // alert(userId);

          $("input#namaTugasUpdate").val(judul);
          // $("input#waktuUpdate").val(date);
          $("#goalUpdate").val(goal);
          $("#idList").val(id);
          $("input#color").val(warna);
        });
      });
      $(document).ready(function () {
        $(".lingkaran-radio").click(function () {
          var res = $(this).text();
          var warna = $(this).attr("background-color");
          // alert(warna);
          $(".lingkaran-radio").removeClass("border-lingkaran");
          $(this).addClass("border-lingkaran");
          $("#hasil-warna").removeClass();
          $("#hasil-warna").addClass(res);
          $("input#color").val(res);
        });
        $(".lingkaran-radioUpdate").click(function () {
          var res = $(this).text();
          var warna = $(this).attr("background-color");
          // alert(warna);
          $(".lingkaran-radioUpdate").removeClass("border-lingkaran");
          $(this).addClass("border-lingkaran");
          $("#hasil-warnaUpdate").removeClass();
          $("#hasil-warnaUpdate").addClass(res);
          $("input#color").val(res);
        });
      });
    </script>
  </body>
</html>
